SolrDisMaxQuery::useDisMaxQueryParser
SolrCollapseFunction
SolrDisMaxQuery
PHP Manual

# SolrDisMaxQuery::useEDisMaxQueryParser

(No version information available, might only be in Git)

SolrDisMaxQuery::useEDisMaxQueryParser — Switch QueryParser to be EDisMax

### Description

public SolrDisMaxQuery SolrDisMaxQuery::useEDisMaxQueryParser ( void )

Switch QueryParser to be EDisMax. By default the query builder uses edismax, if it was switched using SolrDisMaxQuery::useDisMaxQueryParser(), it can be switched back using this method.

### Parameters

This function has no parameters.

### Return Values

SolrDisMaxQuery

### Examples

Example #1 SolrDisMaxQuery::useEDisMaxQueryParser() example

`<?php
$dismaxQuery = new SolrDisMaxQuery();
$dismaxQuery->useEDisMaxQueryParser();
echo $dismaxQuery;
?>`

The above example will output something similar to:

    defType=edismax

### See Also

SolrDisMaxQuery::useDisMaxQueryParser
SolrCollapseFunction
SolrDisMaxQuery
PHP Manual